<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.unitAccesoriesMapper.home.title">Unit Accesories Mappers</span>
    </h5>
    <p-dataTable
        [value]="unitAccesoriesMappers"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idUnitAccMapper"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.unitAccesoriesMapper.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['/', { outlets: { popup: ['unit-accesories-mapper-new'] } }]">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.unitAccesoriesMapper.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc1'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc1'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc1 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc2'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc2}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc2'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc2 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc3'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc3}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc3'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc3 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc4'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc4}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc4'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc4 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc5'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc5}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc5'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc5 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc6'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc6}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc6'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc6 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.acc7'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.acc7}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyAcc7'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAcc7 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.promat1'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.promat1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyPromat1'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyPromat1 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.promat2'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.promat2}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.qtyPromat2'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyPromat2 | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.motor'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.motorId">
                    <a [routerLink]="['../motor', rowData.motorId  ]" >{{rowData.motorName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitAccesoriesMapper.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../unit-accesories-mapper', rowData.idUnitAccMapper]"
                        icon="fa-eye"
                        class="flat-button"
                        [style]="{'height':'50px'}">
                </button>
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'unit-accesories-mapper/'+ rowData.idUnitAccMapper + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idUnitAccMapper)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>